/****************************************************************************
                Service Slave Mode Class Header
                -----------------------------------------
    begin      : 2014/09/02
    copyright  : (C) 2005 Solbox Inc.
    author     : Storage Dev Team	                
    email      : storage.sd@solbox.com
    version    : 3.4

    CopyRight(C) 2005 Solbox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of Solbox Inc.
*****************************************************************************/

#ifndef __SERVICE_SLAVE_MODE_H__
#define __SERVICE_SLAVE_MODE_H__

#include "ModeBase.h"

// class CServiceMode : Service Slave Mode class
class CSlaveMode : public CServiceMode
{
public:
	CSlaveMode(CProcessSocketControl * pclient);
	virtual ~CSlaveMode();

	// 요청 받은 데이터(CReqSlaveData) 대한 Sync 정보 만듦
	//   함수 수행 성공일 때 Execute() 함수 수행됨
	bool CreateSyncList(CReqSlaveData &d);

	// slave mode 작업 수행
	virtual void Execute();

private:

};

#endif /* __SERVICE_SLAVE_MODE_H__ */
